
Figure - Bug #116677
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】小窗顶部导航条背景色不对
2023-03-02 16:01 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-02

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 小窗Caption栏是透明色导致的

Description

【前提条件】

1、设备正常启动

【测试步骤】（以快手为例）

1、打开快手小窗

2、播放视频

【预期结果】

2、小窗页面显示符合UI设计

【实际结果】

2、小窗顶部导航条背景色与UI设计不符

【复现率】

3/3

History

#1 - 2023-03-08 11:12 - CD FW-鲁凯峰

- Root cause set to 小窗Caption栏是透明色导致的

■ Current conclusion

问题已经解决

■ My analysis

这个是由于小窗Caption栏是透明色导致的,现在重新实现了Caption栏背景色，另外去掉了整个小窗背景色的显示,后面单独去实现

针对几个特别的应用做了修改

1. 快手,快手app会自己设置windowMode和bounds,会导致caption栏无法显示

2. 小红书,从Recent里面启动小红书会引起崩溃

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/186040
http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/186040


#2 - 2023-03-08 15:04 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

186040 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF:MultiWindow: update caption backgroundTC-RID: 1201-0204601IssueID: TS-R-BUG-116677Change-Id: Idfa252ff38f89c5df67d5a95753fd4c9ea6b3994

#3 - 2023-03-08 15:04 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#4 - 2023-03-11 11:38 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

3.11

验证通过

#5 - 2023-03-11 11:39 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

- % Done changed from 0 to 100

Files
